function JHrepair()
% This makes the imputation, nowcasting, and smoothing 
% of JH data
clear all;
close all;
% from GetCoronaCountryList:
%  countrylist={ 'Germany' 'Italy' 'Spain' ...
%       'France' 'UK' 'US' 'Brazil'  ...
%       'Denmark' 'Switzerland' 'Sweden' 'Austria'  'Russia' };
countrylist=GetCoronaCountryList;
fid=fopen('JHrepair.txt','w')
for i=1:length(countrylist) % loop over countries in list
%     if i~=11
%         continue
%     end
    country=char(countrylist(i)); % get name strings and parameters
    pars=getCoronaParameters(country); % just for file output
    disp(sprintf('JHrepair for country %s',country))
    % now do it country-wise and return some scalar values
    [Cerr, Rerr, Derr, Rdiffnorm, Ifault]=JHrepair4country(country)
    % we keep a file that tells us about the recovery errors
    % *err is the error for data reproduction, in relatiive RMSE form on
    % logarithms of C, D, or R. If present, Rdiffnorm is the error between 
    % JH data for R and the estimation, relative RMSE
    % Ifault=1 says whether I turns negative, pars(3) is the request for R
    % estimation. 
    % These errors are used to assess whether R is doubtful or not.
    disp(sprintf('%20s %13.3e %13.3e %13.3e %13.3e %3d %3d',  country, Cerr, Derr, Rerr, Rdiffnorm, Ifault, pars(3)))
    fprintf(fid, '%20s %13.3e %13.3e %13.3e %13.3e %3d %3d\n',country, Cerr, Derr, Rerr, Rdiffnorm, Ifault, pars(3))
end
fclose(fid)