function [tC, C, tI, I, tR, R, tD, D, tER, ER]=getCIRDrepaired(country, lastdayused, k, kbacklog)
% retrieves the Johns Hopkins data per country up to lastdayused.
% The Estimated Recovered are calculated using the k-day rule and kbacklog days back 
% Output: theb tC etc. are subsets of indices where plotting makes sense
% i.e. plottable pairs are (tC,C(tC)) etc., ready for log plots,
% ER = estimated Recovered 
% Data are not smoothed.
[C, R, D]=GetCoronaDataRepaired(country);
pars=GetCoronaParameters(country);
C=C(1:lastdayused);
R=R(1:lastdayused);
D=D(1:lastdayused);
len=length(C);
pR=estimateRecoveredLinNew(C, D, R, k, len-kbacklog+1, len);
ER=pR(k+2:end);
% R=ER;
% I=C-ER-D;
I=C-R-D;
if min(I)<0
    disp(sprintf('Negative Infectious for %s in getCIRDrepaired',country))
    pause
end
% [C' R' D' I']
tI=find(I>=1);
tC=find(C>=1);
tR=find(R>=1);
tD=find(D>=1);
tER=find(ER>=1);

