function [tt, gam, b, ttr, r]=getJHGammaBR0(C, R, D)
% Calculates gamma and b from I and C of the JH data.
% Applies log smoothing to C and I
% tt is an index set. 
% The values gam(tt) and b(tt) are well-defined, others possibly not,
% set to zero. Similar for ttr and R.
len=length(C);
% C=mylogsmoother(C);
% C=mylogsmoother(C);
% R=mylogsmoother(R);
% D=mylogsmoother(D);
% R=mylogsmoother(R);
% D=mylogsmoother(D);
I=C-R-D;
% allocate differences
dI=zeros(size(I));
dC=zeros(size(C));
% allocate full space
gam=zeros(size(C));
b  =zeros(size(C));
r  =zeros(size(C));
% calculate differences
dI(2:end)=I(2:end)-I(1:end-1);
dC(2:end)=C(2:end)-C(1:end-1);
% avoid division by zero
tt=find(I>0);
% now calculate as in paper
gam(tt)=(dC(tt)-dI(tt))./I(tt);
b(tt)=dC(tt)./I(tt);
ttr=intersect(find(b>0),intersect(tt, find(gam>0)));
r(ttr)=b(ttr)./gam(ttr);
% Achtung Aenderung
% ttr=intersect((len-28:len)', ttr);