function [beta, gam, b, ttt]=getbetagammafromSMHCN_2(S, M, H, C, N, gCFseries, gIFseries, giIRseries)
%
% gets gamma, beta, and b from the hidden model as sequences
%
% Input vectors are all of same length, 
% as output vectors will be
% 
% N = population size
%
% The output vectors will contain zeros in case that 
% division by zero is avoided.  
%
derbacklog=14;
len=length(C);
% allocate output vectors
gam  =zeros(len,1);
beta =zeros(len,1);
b    =zeros(len,1);
% get differences of C, H and S 
dC=zeros(len,1);
dH=zeros(len,1);
dS=zeros(len,1);
dH(2:len)=H(2:len)-H(1:len-1);
dC(2:len)=C(2:len)-C(1:len-1);
dS(2:len)=S(2:len)-S(1:len-1);
% CH=C+H;
% rval=zeros(size(C));
% for i=len:-1:50+derbacklog+1
%     rval(i)=myderivativechecker(CH(i-derbacklog:i), -S(i-derbacklog:i), derbacklog, 2);
% end
% figure
% plot(rval)
% title('r estimate')
% gam2=giIRseries./(1-rval.*gIFseries./gCFseries);
% figure
% plot(gam2)
% title('New gamma estimate')
% beta2=rval.*gam2;
% figure
% plot(beta2)
% title('New beta estimate')
% Note that the first value of a difference vector will be zero
% avoid division by zero for M
tM=find(M>0);
% get gamma as in paper
% ttg=intersect(tM,len-10:len);
% [floor([ttg' dC(ttg) dH(ttg) M(ttg)]) (dC(ttg)+dH(ttg))./M(ttg)]
% pause
gam(tM)=(dC(tM)+dH(tM))./M(tM);
% avoid division by zero for S
tS=find(S>0);
% and take intersection
tMtS=intersect(find(gam>0),intersect(tM,tS));
% now beta and b as in the paper
b(tMtS)=-dS(tMtS)./M(tMtS);
beta(tMtS)=b(tMtS)*N./S(tMtS);
ttt=intersect(tMtS,tM);
% gam3(ttt)=giIRseries(ttt)+b(ttt).*gIFseries(ttt)./gCFseries(ttt);
figure
semilogy(ttt,beta(ttt),'r',ttt,gam(ttt),'b')
%,ttt,gam3(ttt),'gx',...
 %   ttt, min(1,giIRseries(ttt)),'co') % ,tMtS,-dS(tMtS),'k')
% legend('beta','gamma') % ,'-dS')
% hold on
% semilogy(ttt,beta2(ttt),'r:',ttt,gam2(ttt),'b:') % ,tMtS,-dS(tMtS),'k')
legend('beta','gamma') % ,'beta2','gamma2') % ,'-dS')
title('Beta and gamma')
