function plotJHmodeldata(C, I, R, D, ...
    modspace, timespan, divisor, country, color)
% prepare for semilogy plotting, but without figure statement
% for possible overplotting
% colors and symbols
% S I R C D M H 
% k b g c r k m
% v o ^ x + s d
pars=getCoronaParameters(country);
tC=find(C>=1);
tI=find(I>=1);
tR=find(R>=1);
tD=find(D>=1);
% modelstart=1;
nsI=myspacerback(tI, I,modspace);
nsC=myspacerback(tC, C,modspace);
nsR=myspacerback(tR, R,modspace);
nsD=myspacerback(tD, D,modspace);
% predmodspace=max(modspace,floor(timespan/divisor));
switch lower(color)
    case 'black'
        semilogy(...
            nsC,C(nsC),'kx',...
            nsR,R(nsR),'k^',...
            nsI,I(nsI),'ko',...
            nsD,D(nsD),'k+',...
            'MarkerSize',6)
        hold on
        semilogy(...
            tC,C(tC),'k',...
            tR,R(tR),'k',...
            tI,I(tI),'k',...
            tD,D(tD),'k')
        
        % colors
        % S I R C D M H 
        % k c g b r k m
        % v o ^ x + s d
    otherwise
        semilogy(...
            nsC,C(nsC),'cx',...
            nsR,R(nsR),'g^',...
            nsI,I(nsI),'bo',...
            nsD,D(nsD),'r+',...
            'MarkerSize',8)
        hold on
        semilogy(...
            tC,C(tC),'c',...
            tR,R(tR),'g',...
            tI,I(tI),'b',...
            tD,D(tD),'r')
        % legend('Confirmed','Recovered','Infectious','Deaths',4)
        % title(sprintf('Corona data for %s up to day %d',country, length(C)))  
        
end
hold on
semilogy([pars(1) pars(1)],[1,max(C)],'k:')
h=gca;
set(h,'FontSize',20)

% legend('I','C','R','D','M','H','S',4)
disp(sprintf('The plot is for country %s',country))
disp('Hit Enter after saving')
pause

